# Interface methods for submodule: LabelMap
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageBaseProxy as _ImageBaseProxy


# Interface methods for class: LabelMap
class LabelMapProxy(_ImageBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def Allocate(self, initialize: bool = False) -> None:
		""""""
		...

	def Graft(self, imgData) -> None:
		""""""
		...

	@overload
	def GetLabelObject(self, label: int):
		""""""
		...

	@overload
	def GetLabelObject(self, idx: Sequence[int]):
		""""""
		...

	def HasLabel(self, label: int) -> bool:
		""""""
		...

	def GetNthLabelObject(self, pos: int):
		""""""
		...

	def GetPixel(self, idx: Sequence[int]) -> int:
		""""""
		...

	def SetPixel(self, idx: Sequence[int], iLabel: int) -> None:
		""""""
		...

	def AddPixel(self, idx: Sequence[int], label: int) -> None:
		""""""
		...

	def RemovePixel(self, idx: Sequence[int], label: int) -> None:
		""""""
		...

	def SetLine(self, idx: Sequence[int], length: int, label: int) -> None:
		""""""
		...

	def AddLabelObject(self, labelObject) -> None:
		""""""
		...

	def PushLabelObject(self, labelObject) -> None:
		""""""
		...

	def RemoveLabelObject(self, labelObject) -> None:
		""""""
		...

	def RemoveLabel(self, label: int) -> None:
		""""""
		...

	def ClearLabels(self) -> None:
		""""""
		...

	def GetNumberOfLabelObjects(self) -> int:
		""""""
		...

	def GetLabels(self) -> Sequence[int]:
		""""""
		...

	def GetLabelObjects(self):
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def PrintLabelObjects(self, os) -> None:
		""""""
		...

	@overload
	def PrintLabelObjects(self) -> None:
		""""""
		...

	def Optimize(self) -> None:
		""""""
		...

